Bug 1037608 - fontforge is too old
Summary: fontforge is too old
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: fontforge
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Parag Nemade
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-03 13:26 UTC by H.J. Lu
Modified: 2014-09-08 14:00 UTC (History)
5 users (show)

Fixed In Version: fontforge-20140813-2.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-08 14:00:48 UTC


Attachments (Terms of Use)

Description H.J. Lu 2013-12-03 13:26:51 UTC
fontforge seems to have moved to

https://github.com/fontforge/fontforge

Comment 1 Kevin Fenzi 2013-12-03 16:49:49 UTC
Yes, I'm aware it's moved. ;) 

There's not been any new stable releases however...

What specific changes were you looking for? why is the current version 'too old'? 

Did you want us to ship a git snapshot?

Comment 2 H.J. Lu 2013-12-03 23:47:49 UTC
I am trying to build pdf2htmlEX:

https://github.com/coolwanglu/pdf2htmlEX

It needs fontforg 2.0.

Comment 3 Kevin Fenzi 2013-12-04 03:01:25 UTC
Odd. The cmakelists there I see it looking for the older fontforge.h header, etc... 

Are you sure it won't build with current packaged fontforge-devel?

Comment 4 H.J. Lu 2013-12-04 16:04:46 UTC
You are right. It seems to search the older fontforge if
the newer one isn't found.

Comment 5 Kevin Fenzi 2013-12-04 23:21:30 UTC
ok, then do you still need the update? Or it should be ok for now?

I can ask upstream if they intend to do another release soon...

Comment 6 H.J. Lu 2013-12-04 23:36:14 UTC
It will be nice to update.  Other distos have updated to
fontforge 2 and packages using fontforge should work better
with fontforge 2.

Comment 7 Kevin Fenzi 2013-12-04 23:47:27 UTC
I've asked upstream about new releases... 

I don't see a newer one on debian or arch. Perhaps they are in side repos? 
Can you point to one, I'd love to see what snapshot they are packaging...

Comment 9 Kevin Fenzi 2013-12-08 17:23:18 UTC
There's some discussion on the upstream list about either doing a release or at least stablizing git around the first of the year.

Comment 10 Rick Elrod 2014-09-01 07:40:39 UTC
Small world. :)

I was just attempting to package https://github.com/coolwanglu/pdf2htmlEX and ran into this too.

They dropped support for old fontforge earlier this year: https://github.com/coolwanglu/pdf2htmlEX/commit/15ac5271a72ad2fff36f4b91697e0335a00bd9b1

Comment 11 Parag Nemade 2014-09-05 08:11:22 UTC
I have prepared fontforge 2.0 pre-release package. The copr build is available at https://copr.fedoraproject.org/coprs/pnemade/fontforge/build/30855/. 

People are welcome to test it. Also, I would like to update this package in rawhide. Can I get the permission to update it? 

https://paragn.fedorapeople.org/fontforge2/fontforge.spec

Comment 12 Kevin Fenzi 2014-09-05 16:11:04 UTC
I think it's sad that upstream doesn't do releases anymore, but sure please do update at least rawhide with a snapshot. :)

Comment 13 Parag Nemade 2014-09-05 16:20:59 UTC
Thanks. I will update new fontforge in rawhide only and close this bug.

Comment 14 Parag Nemade 2014-09-08 10:07:38 UTC
Ah! Koji do not allow remote source download whereas copr allows it. I forgot this and a successful copr build failed on koji.

Comment 15 Parag Nemade 2014-09-08 14:00:48 UTC
Built in rawhide fontforge-20140813-2.fc22


Note You need to log in before you can comment on or make changes to this bug.